﻿RaidEasy_BUTTON_TOOLTIP0 = "RaidEasy";
RaidEasy_BUTTON_TOOLTIP1 = "Left-click to show the Window.";
RaidEasy_BUTTON_TOOLTIP2 = "Right-click to show the options pane.";
RaidEasy_BUTTON_TOOLTIP3 = "Right-click and drag to move this button.";

RaidEasyMinimapButtonPosition = RaidEasyMinimapButtonPosition

function RaidEasy_Button_Initialize()
	RaidEasy_Button:SetFrameStrata("MEDIUM");
	if (RaidEasyMinimapButtonPosition == nil) then
		RaidEasyMinimapButtonPosition = 25;
	end
end



function RaidEasy_Button_BeingDragged()
    local xpos,ypos = GetCursorPosition();
    local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom();
    xpos = xmin-xpos/UIParent:GetScale()+70;
    ypos = ypos/UIParent:GetScale()-ymin-70;
    RaidEasy_Button_SetPosition(math.deg(math.atan2(ypos,xpos)));
end

function RaidEasy_Button_OnClick(self, mousebtn)
	if (mousebtn == "LeftButton") then
		RaidEasy_ToggleUI();
	else
        RaidEasy_ShowConfigPanel();
    end
end



function RaidEasy_Button_OnEnter(self)
	GameTooltip:SetOwner(self, "ANCHOR_LEFT");
	GameTooltip:SetText(RaidEasy_BUTTON_TOOLTIP0);
	GameTooltip:AddLine(RaidEasy_BUTTON_TOOLTIP1);
	GameTooltip:AddLine(RaidEasy_BUTTON_TOOLTIP2);
    GameTooltip:AddLine(RaidEasy_BUTTON_TOOLTIP3);
	GameTooltip:Show();
end

function RaidEasy_Button_SetPosition(v)
    if(v < 0) then
        v = v + 360;
    end
    RaidEasyMinimapButtonPosition = v;
    RaidEasy_Button_UpdatePosition();
end

function RaidEasy_Button_UpdatePosition()
	RaidEasy_Button:SetPoint(
		"TOPLEFT",
		"Minimap",
		"TOPLEFT",
		54 - (78 * cos(RaidEasyMinimapButtonPosition)),
		(78 * sin(RaidEasyMinimapButtonPosition)) - 55
	);
end

function RaidEasy_ToggleMinimapButton()
	if ( RaidEasyFrameOptions.MinimapButton == 1) then
		RaidEasy_Button:Show();
	else
		RaidEasy_Button:Hide();
	end
end

function RaidEasy_ToggleUI()
	if (RaidEasyForm:IsVisible()) then
		RaidEasyForm:Hide();
	else
		RaidEasyForm:Show();
	end
end

function RaidEasy_ShowConfigPanel()
    if (InterfaceOptionsFrame:IsVisible()) then
      InterfaceOptionsFrame:Hide()
     else
	  InterfaceOptionsFrame_OpenToCategory(RaidEasyOptionsFrame)
    end
end